unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
  FMX.Controls.Presentation, FMXTee.Engine, FMXTee.Procs, FMXTee.Chart,
  FMXTee.RadioGroup, FMX.Edit, FMX.EditBox, FMX.SpinBox, FMX.Layouts;

type
  TForm1 = class(TForm)
    Layout1: TLayout;
    Chart1: TChart;
    Panel2: TPanel;
    ScrollBar1: TScrollBar;
    Label1: TLabel;
    Label2: TLabel;
    ScrollBar2: TScrollBar;
    SpinBox1: TSpinBox;
    procedure ScrollBar1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ScrollBar2Change(Sender: TObject);
    procedure SpinBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

uses FMXTee.Series, FMXTee.Canvas;

type
  TCanvasAccess=class(TTeeCanvas3D);

procedure TForm1.FormCreate(Sender: TObject);
begin
  with Chart1.AddSeries(TBarSeries) as TBarSeries do
  begin
    ColorEachPoint:=true;
    FillSampleValues();
  end;

  ScrollBar1.Value:=Chart1.Axes.Bottom.LabelsFont.Size;
  ScrollBar1.Min:=4;
  ScrollBar1.Max:=25;

  ScrollBar2.Value:=Chart1.View3DOptions.FontZoom;
  ScrollBar2.Min:=50;
  ScrollBar2.Max:=150;
end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
  Label1.Text:='Font Size: ' + IntToStr(Round(ScrollBar1.Value));
  Chart1.Axes.Left.LabelsFont.Size:=ScrollBar1.Value;
  Chart1.Axes.Bottom.LabelsFont.Size:=ScrollBar1.Value;
end;

procedure TForm1.ScrollBar2Change(Sender: TObject);
begin
  Label2.Text:='Font Zoom: ' + IntToStr(Round(ScrollBar2.Value));
  Chart1.View3DOptions.FontZoom:=Round(ScrollBar2.Value);
end;

procedure TForm1.SpinBox1Change(Sender: TObject);
begin
layout1.Scale.x:=layout1.Scale.x+spinbox1.Value/10;
 layout1.Scale.y:=layout1.Scale.y+spinbox1.Value/10;
end;

end.
